This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 437899 - Enabling composite with r300 crashes X server
Enabling composite with r300 crashes X server
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 19:56 EDT by Shawn Starr
Modified: 2009-03-19 02:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-19 02:00:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
startx output (12.63 KB, application/text)
2008-03-17 21:04 EDT, Shawn Starr
no flags Details
Xorg crash with full debug (13.65 KB, text/plain)
2008-03-17 22:06 EDT, Shawn Starr
no flags Details

  None (edit)
Description Shawn Starr 2008-03-17 19:56:57 EDT
Description of problem:


Version-Release number of selected component (if applicable):

libXcomposite-0.4.0-4.fc9.i386
xorg-x11-drv-ati-6.8.0-3.fc9.i386
xorg-x11-server-Xorg-1.4.99.901-8.20080310.fc9.i386


How reproducible:
Use the default composite extension, try to load X, it will crash with a stack
dump (will provide in a bit)

Steps to Reproduce:
1. Launch X as a normal user (startx) or use KDM (KDE 4.x)
2. X server will crash with segfault and produce a dump
3.
  
Actual results:
Crashes when composite is attempted to be used

Expected results:
Application requesting composite launches normally.

Additional info:

Rawhide snapshot. I'll provide stackdump later today.
Comment 1 Shawn Starr 2008-03-17 20:19:04 EDT
Note: I am use XAA no EXA for software acceleration

kdeinit4: Got EXEC_NEW '/usr/local/kde4/bin/kgpg' from launcher.
kdeinit4: preparing to launch /usr/local/kde4/bin/kgpg
0: X(xf86SigHandler+0x79) [0x80bc2d9]
1: [0x131400]
2: X(miHandleValidateExposures+0x37) [0x8127827]
3: X(UnmapWindow+0x1f8) [0x80702c8]
4: X(compFreeClientWindow+0x2d3) [0x8143b43]
5: X [0x813f604]
6: X(FreeResource+0x10c) [0x806dacc]
7: X(compUnredirectWindow+0x8b) [0x8142f0b]
8: X [0x813fe5c]
9: X [0x8127e45]
10: X [0x8127e57]
11: X(miChangeSaveUnder+0x6b) [0x8127efb]
12: X(MapWindow+0x37b) [0x8070a2b]
13: X(ProcMapWindow+0x69) [0x8085119]
14: X(Dispatch+0x34f) [0x808599f]
15: X(main+0x47d) [0x806b31d]
16: /lib/libc.so.6(__libc_start_main+0xe6) [0x418606]
17: X(FontFileCompleteXLFD+0x22d) [0x806a701]
Comment 2 Shawn Starr 2008-03-17 20:23:24 EDT
I should also note I am building KDE '4.1' from their svn trunk so I don't know
if this is triggering some new bug in Xcomposite.
Comment 3 Shawn Starr 2008-03-17 21:04:38 EDT
Created attachment 298322 [details]
startx output

startx output
Comment 4 Shawn Starr 2008-03-17 22:06:00 EDT
Created attachment 298324 [details]
Xorg crash with full debug
Comment 5 Matěj Cepl 2008-03-18 07:23:20 EDT
This is quite certainly not stacktrace from Xorg. Trying compiz, but not sure.
Comment 6 Shawn Starr 2008-03-18 10:42:57 EDT
This comes from KDE 4.x (in this case KDE 4.1) not compiz, Kwin also supports
composite effects like compiz does.

This bug is also logged in https://bugs.freedesktop.org/show_bug.cgi?id=15100
Comment 7 Shawn Starr 2008-03-18 10:43:57 EDT
The stacktrace is from Xorg (libXcomposite and core X server)
Comment 8 Shawn Starr 2008-03-19 00:07:40 EDT
Note, disabling backing store in xorg.conf gets me no crashing.

Option      "BackingStore" "false"
Comment 9 Shawn Starr 2008-05-09 11:56:53 EDT
Lower priority, still a bug, but this is totally workaroundable.
Comment 10 Bug Zapper 2008-05-14 02:40:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Shawn Starr 2009-03-19 02:00:03 EDT
Oh close this, we're in KMS now, and this bug is totally moot.

Note You need to log in before you can comment on or make changes to this bug.